swagger: "2.0"
info: {}
basePath: /htapi
paths:
  /auth/login:
    post:
      tags:
      - auth
      summary: 小程序用户登录
      description: |-
        用户通过微信小程序登录
        <br>
      parameters:
      - in: body
        name: mobile
        description: 登录请求体
        required: true
        schema:
          $ref: '#/definitions/LoginReq'
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/controllers.BaseResponse'
  /auth/sendCode:
    post:
      tags:
      - auth
      summary: 获取手机验证码
      description: |-
        用户发送手机验证码
        <br>
      parameters:
      - in: body
        name: mobile
        description: 小程序手机验证码接口
        required: true
        schema:
          $ref: '#/definitions/SmsCodeReq'
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/controllers.BaseResponse'
  /report/list:
    get:
      tags:
      - report
      description: |-
        get all Users
        <br>
      operationId: ReportController.GetAll
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.User'
  /user/:
    get:
      tags:
      - user
      description: |-
        get all Users
        <br>
      operationId: UserController.GetAll
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.User'
definitions:
  LoginReq:
    title: LoginReq
    type: object
  SmsCodeReq:
    title: SmsCodeReq
    type: object
  controllers.BaseResponse:
    title: BaseResponse
    type: object
    properties:
      Data:
        $ref: '#/definitions/controllers.interface'
      ErrCode:
        type: integer
        format: int64
      ErrMsg:
        type: string
      Msg:
        type: string
      Ret:
        description: 返回状态码
        type: integer
        format: int64
      Success:
        description: true 执行成功，false 执行失败
        type: boolean
  controllers.interface:
    title: interface
    type: object
  models.User:
    title: User
    type: object
tags:
- name: user
  description: |
    Operations about Users
